# %commit and %os_git_vars are intended to be set by tito custom builders provided
# in the .tito/lib directory. The values in this spec file will not be kept up to date.
%{!?commit: %global commit cef3dece1c0ec667a11a5ca7cc8b33d3d2e6fa76 }
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# os_git_vars needed to run hack scripts during rpm builds
%global os_git_vars OS_GIT_VERSION=4.12.0-3.p0.gcef3dec.assembly.stream-cef3dec OS_GIT_MAJOR=4 OS_GIT_MINOR=12 OS_GIT_PATCH=0 OS_GIT_COMMIT=cef3dece1c0ec667a11a5ca7cc8b33d3d2e6fa76 OS_GIT_TREE_STATE=clean

Summary: OpenShift 4 Install Tool for AWS ISO Regions
Name:           openshift4-aws-iso
Version:        4.12.0
Release:        3.p0.gcef3dec.assembly.stream%{?dist}
License: ASL 2.0
Vendor: Red Hat
Group: Utility
BuildArch: noarch
URL:            https://%{import_path}

%if ! 0%{?local_build:1}
Source0:        openshift4-aws-iso-4.12.0-3.p0.gcef3dec.assembly.stream.tar.gz
%endif

%description
[Maintainer] project: OCPBUGS, component: Unknown
Ansible playbooks and roles to deploy an OpenShift 4
cluster in the AWS US ISO regions.

%prep
%if ! 0%{?local_build:1}
%setup -q -n openshift4-aws-iso-4.12.0
%endif

%install
install -d %{buildroot}%{_datadir}/%{name}
install -m 644 requirements.txt %{buildroot}%{_datadir}/%{name}/requirements.txt
install -m 644 README.md %{buildroot}%{_datadir}/%{name}/README.md
install -m 644 LICENSE %{buildroot}%{_datadir}/%{name}/LICENSE
#install -d %{buildroot}%{_datadir}/%{name}/docs
install -d %{buildroot}%{_datadir}/%{name}/playbooks
cp -r playbooks/* %{buildroot}%{_datadir}/%{name}/playbooks/
install -d %{buildroot}%{_datadir}/%{name}/cloudformation
cp -r cloudformation %{buildroot}%{_datadir}/%{name}/cloudformation/


%files
%defattr(-,root,root)
%{_datadir}/%{name}/requirements.txt
%doc %{_datadir}/%{name}/README.md
%license %{_datadir}/%{name}/LICENSE
%{_datadir}/%{name}/playbooks
%{_datadir}/%{name}/cloudformation

%changelog
* Wed Feb 01 2023 AOS Automation Release Team <noreply@redhat.com> - 4.12.0-3.p0.gcef3dec.assembly.stream
- Update to source commit https://github.com/openshift/c2s-install/commit/cef3dece1c0ec667a11a5ca7cc8b33d3d2e6fa76
* Tue Dec 13 2022 Initial RPM Build
- Initial example of spec.